Package mpi

## Class MPIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - mpi.MPIException

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class MPIException
      extends java.lang.Exception

  Signals that an MPI exception of some sort has occurred.

  The Java binding of the MPI operation `MPI_Error_string` is the method `getMessage`, which is inherited from the class Exception.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MPIException​(int code, int clazz, java.lang.String message)` |
    `` | `MPIException​(java.lang.String message)` | Creates an exception.
    `` | `MPIException​(java.lang.Throwable cause)` | Creates an exception:

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getErrorClass()` | Gets the MPI error class.
    `int` | `getErrorCode()` | Gets the MPI error code.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MPIException

          protected MPIException​(int code,
                                 int clazz,
                                 java.lang.String message)

    - #### MPIException

          public MPIException​(java.lang.String message)

      Creates an exception.
      Parameters:
        `message` - message associated to the exception

    - #### MPIException

          public MPIException​(java.lang.Throwable cause)

      Creates an exception:
      Parameters:
        `cause` - cause associated to the exception

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Gets the MPI error code.
      Returns:
        error code

    - #### getErrorClass

          public int getErrorClass()

      Gets the MPI error class.
      Returns:
        error class